Skip to navigation

✨ Create project role for user

Create project role for user allowing the user the same access level provided by organization role.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Request

This endpoint expects an object.
projectintegerRequired
roleenumRequired
  • OW - Owner
  • AD - Administrator
  • MA - Manager
  • RE - Reviewer
  • AN - Annotator
  • DI - Deactivated
  • NO - Not Activated
userintegerRequired

Response

Role created
idintegerRead-only
projectinteger
roleenum
  • OW - Owner
  • AD - Administrator
  • MA - Manager
  • RE - Reviewer
  • AN - Annotator
  • DI - Deactivated
  • NO - Not Activated
role_sourceenum or null
  • manual - Manual
  • saml - SAML
  • scim - SCIM
  • ldap - LDAP
  • api - API
  • billing - Billing
userinteger